| Home | Libraries | People | FAQ | More

## Function range_begin

boost::xpressive::range_begin — `range_begin()` to make `sub_match<>` a valid range

## Synopsis

    // In header: <boost/xpressive/sub_match.hpp>

    template<typename BidiIter> BidiIter range_begin(sub_match< BidiIter > & sub);
    template<typename BidiIter>
      BidiIter range_begin(sub_match< BidiIter > const & sub);

## Description

Parameters: |
`sub` | the ``sub_match`<>` object denoting the range
Requires: | `sub.first` is not singular
Returns: | `sub.first`